%define language ro-RO
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Romanian
%define name mozilla-firefox-%{locale}
%define version 1.0.6
%define release %mkrel 1
%define firefox_version %version
%define mozillalibdir %{_libdir}/mozilla-firefox-%{firefox_version}
# source of this package is really taken from
# http://freeweb.siol.net/kraka/
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{firefox_version}/linux-i686/xpi/

Summary:	%{langname} interface for Firefox 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{xpidir}/%language.xpi
License:	GPL
Group:		Networking/WWW
Url:		http://www.mozilla.org/products/firefox/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	mozilla-firefox
Requires(pre):	mozilla-firefox = %firefox_version
Requires:	locales-%{locale}

%description
%{langname} localisation for Firefox

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/chrome/
cp chrome/%language.jar %buildroot%{mozillalibdir}/chrome/
# installed-chrome.txt addition
mkdir -p %buildroot%{mozillalibdir}/chrome/rc.d/
cat << EOF > %buildroot%{mozillalibdir}/chrome/rc.d/10_%name.txt
locale,install,url,jar:resource:/chrome/embed-sample.jar!/locale/%language/embed/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/global-platform/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/inspector/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/necko/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/mozapps/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/passwordmgr/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/pippki/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/pipnss/
locale,install,url,jar:resource:/chrome/%{language}.jar!/locale/help/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/%language/autoconfig/
locale,install,url,jar:resource:/chrome/inspector.jar!/locale/%language/inspector/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/browser/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/browser-region/
locale,install,url,jar:resource:/chrome/%language.jar!/locale/cookie/
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
%{_libdir}/mozilla-firefox-%{firefox_version}/chrome/%language.jar
%{_libdir}/mozilla-firefox-%{firefox_version}/chrome/rc.d/10_%name.txt

%post
if test -x %{mozillalibdir}/mozilla-rebuild-databases.pl; then %{mozillalibdir}/mozilla-rebuild-databases.pl; fi

%postun
if test -x %{mozillalibdir}/mozilla-rebuild-databases.pl; then %{mozillalibdir}/mozilla-rebuild-databases.pl; fi

%changelog
* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.6-1mdk
- 1.0.6

* Mon May 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-2mdk
- Run db rebuild script only when it exists

* Thu May 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-1mdk
- 1.0.4

* Fri Apr 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.2-3mdk
- Rebuild

* Sat Apr 09 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.0.2-2mdk
- Really rebuild for 1.0.2

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- rebuild for Firefox 1.0.2

* Wed Mar 23 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.0.1-1mdk
- First Romanian rpm
